Subject: Re: [Xen-devel] [PATCH V3 0/2] limit xen vnic max queues number to online cpus number

From: Andrew Cooper <[email-masked]>
Date: Fri, 23 Oct 2015 10:50:13 +0100

On 23/10/15 10:42, Joe Jin wrote:
> Currently xen vnic allowed to create lots of queues by set module param
> max_queues(both netback and netfront), when queues number larger than
> cpus number, it does not help for performance but need more cpu time.
>
> This patchset limit netback and netfront max queues number to online
> cpus number.
>
> Joe Jin (2):
>   xen-netback: limit xen vif max queues number to online cpus
>   xen-netfront: limit vnic max_queues number to online cpus

Please do not exclude the possibility for making crazy numbers of queues.

I can appreciate the want to prevent people shooting themselves in the
foot, but being able oversubscribe the number of queues is important for
performance testing.

~Andrew